## spacezero 0.80.03

=== Makefile ===
CC = gcc 
BINDIR= ./bin/
DATADIR= ./dat/
SOUNDDIR= $(DATADIR)sounds/
SRCPATH= ./src/
CONFIGDIR=$(HOME)/.spacezero/
RECORDFILE=$(CONFIGDIR)record

INSTALL_DIR=/usr/local/bin/
INSTALL_DATA_DIR=/usr/local/share/spacezero/

OPENALFLAGS= -lopenal -lalut
GTKFLAGS=`pkg-config --cflags gtk+-2.0`
GTKLIBS=`pkg-config --libs gtk+-2.0`
GTKLIBS12=`gtk-config --cflags`

LDFLAGS=  -lm -lpthread $(OPENALFLAGS) $(GTKLIBS)
LDFLAGS12=  -lm -lpthread $(OPENALFLAGS) $(GTKLIBS12)
CFLAGS=  -Wall -O3 -mtune=generic -I./include
CFLAGS12=  -Wall -O3 -mtune=generic -I./include -DGTK12
PROGRAMA=$(BINDIR)spacezero


SOUND_OBJS= $(SRCPATH)sound.o
SOUND_SRCS= $(SRCPATH)sound.c


PROGRAMA_OBJS=$(SRCPATH)spacezero.o $(SRCPATH)objects.o $(SRCPATH)ai.o $(SRCPATH)save.o $(SRCPATH)shell.o $(SRCPATH)spacecomm.o $(SRCPATH)help.o $(SRCPATH)comm.o $(SRCPATH)graphics.o  $(SRCPATH)functions.o $(SRCPATH)data.o $(SOUND_OBJS)
PROGRAMA_SRCS=$(SRCPATH)spacezero.c $(SRCPATH)objects.c $(SRCPATH)ai.c $(SRCPATH)save.c $(SRCPATH)shell.c $(SRCPATH)spacecomm.c $(SRCPATH)help.c $(SRCPATH)comm.c $(SRCPATH)graphics.c  $(SRCPATH)functions.c $(SRCPATH)data.c $(SOUND_SRCS)



all: dirs spacezero


spacezero: $(PROGRAMA_OBJS) 
	$(CC) $(GTKFLAGS) $(PROGRAMA_OBJS)  $(LDFLAGS) $(CFLAGS) -g -o $(PROGRAMA) 

gtk12: $(PROGRAMA_SRCS) 
	$(CC) `gtk-config --cflags` $(PROGRAMA_SRCS)  $(LDFLAGS12) $(CFLAGS12) -g -o $(PROGRAMA) `gtk-config --libs`

install:
	-if [ ! -d $(INSTALL_DIR) ] ; then mkdir -p $(INSTALL_DIR) ; fi
	-if [ ! -d $(INSTALL_DATA_DIR) ] ; then mkdir -p $(INSTALL_DATA_DIR); fi
	-if [ ! -d $(INSTALL_DATA_DIR)sounds/ ] ; then mkdir -p $(INSTALL_DATA_DIR)sounds/; fi
	cp $(SOUNDDIR)* $(INSTALL_DATA_DIR)sounds/
	cp $(PROGRAMA) $(INSTALL_DIR)

dirs:
	-if [ ! -d $(BINDIR) ] ; then mkdir $(BINDIR) ; fi
	-if [ ! -d $(CONFIGDIR) ] ; then mkdir $(CONFIGDIR) ; fi

clean: 
	rm -f src/*.o bin/spacezero

mrproper: clean
	rm -f src/*~ include/*~

.c.o:	
	$(CC) -g  $(CFLAGS)  $(GTKFLAGS) -c $< -o  $@
