=== debian/changelog ===
spacezero (0.80.03-1ubuntu1) precise; urgency=low

  [ Nobuhiro Iwamatsu ]
  * debian/patches/drop_mtune_generic.patch:
    - Drop -mtune=generic which doesn't work on non-i386/amd64 archs.
      Debian bug #641784

 -- Michael Terry <mterry@ubuntu.com>  Tue, 15 Nov 2011 10:51:19 -0500

spacezero (0.80.03-1) unstable; urgency=low

  [ Romanella Di Ferdinando ]
  * Initial release (Closes: #613784)
  * Add icon to the menu file 
  * Add spacezero.desktop file

  [ Lucia Prado ]
  * Add manual.html

  [ Margarita Manterola ]
  * Fixed sound dir by patching Makefile and src/sound.c through 
    debian/patches/fix_datadir.

  [ Lucia Prado ]
  * Add manual.html

  [ Julia Palandri ]
  * Modified manpage to include -s and -c options
  * Deleted sourceforge links from the html manual and manpage
  * Modified external links to be internal in the html manual
  * Removed external links from the html manual, plus minor fixes
  * Modified debian/rules to include dirs target

 -- Julia Palandri <julia.palandri@gmail.com>  Sat, 06 Aug 2011 16:04:49 -0300
