=== debian/changelog ===
spacezero (0.80.06-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:44:34 +0000

spacezero (0.80.06-1) unstable; urgency=low

  * New upstream release. 
    + Upstream changed compilation flags. 
    (Closes: #641780) Thanks Nobuhiro for reporting. 

 -- Lucia Prado <luciabche@gmail.com>  Sat, 01 Oct 2011 19:50:01 +0000
