=== debian/control ===
Source: spacezero
Section: games
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Romanella Di Ferdinando <romanelladf@gmail.com>
Uploaders: Lucia Prado <luciabche@gmail.com>, 
 Julia Palandri <julia.palandri@gmail.com>, 
 Margarita Manterola <marga@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, libglib2.0-dev,
 libopenal-dev, libalut-dev, docbook-xsl, docbook-xml, xsltproc
Standards-Version: 3.9.2
Homepage: http://spacezero.sourceforge.net

Package: spacezero
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Real Time Strategy 2D space combat, multiplayer net game.
 SpaceZero is a Real Time Strategy 2D space combat, multiplayer (two players by
 now) net game.
 .
 The objective is to conquer the space, defeating all enemies.
 .
 At starting point you have only one ship and one planet, but you have gold to 
 buy more ships to conquer more planets.
 .
 All the ships can be controlled by the computer (automatic mode) or by the 
 player (manual mode). 
 You can easily change among your ships controlling all of them independently.
