=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_install:
	$(MAKE) INSTALL_DIR=$$(pwd)/debian/spacezero/usr/games prefix=/usr install INSTALL_DATA_DIR=$$(pwd)/debian/spacezero/usr/share/spacezero/

override_dh_auto_build:
	xsltproc --nonet \
	 --param make.year.ranges 1 \
	 --param make.single.year.ranges 1 \
	 --param man.charmap.use.subset 0 \
	 -o debian/ \
 http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl \
	debian/spacezero.6.xml
	$(MAKE) all DATADIR=/usr/share/spacezero/
#	dh_auto_build

override_dh_fixperms:
	dh_fixperms
	chmod 644 debian/spacezero/usr/share/spacezero/sounds/*.wav
