=== debian/watch ===
version=3
http://sf.net/spacezero/spacezero-(.*)\.tar\.gz
